#pragma once
#include <vector>
#include "Point.h"

class Star
{
private:
	std::vector<Point> coordenates;
	std::vector<Point> centers_in_time;
	double * data;
	Point center;
	Point starting_center;
	Point prev_point;
	int height;
	int width;
	float radius;
	int SquareSide;
public:
	std::vector<int> point_x_in_time;
	std::vector<int> point_y_in_time;
	std::vector<double> absolute_movement;
	std::vector<double> relative_movement;
public:
	Star();
	Star(std::vector<Point> vp);
	std::vector<Point> getCoordenates();
	Point getCenter();
	void setMemory(int frames);
	void addData(std::vector<double> data, int frame);
	double * getData();
	int getHeight();
	int getWidth();
	float getRadius();
	int getSquareSide();
	void setSquareSide(int val);
	void FindParameters();
	void addCenterInTime(Point c);
	bool InRadius(Point p, int radius);
	void StarReset();
	void print();
	void PrintLastCenter();
};

